Bug 1267392 - Directory keyboard copy paste crashes nautilus file browser in gnome (ctrl-c ctrl-v)
Directory keyboard copy paste crashes nautilus file browser in gnome (ctrl-c ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-29 18:00 EDT by Sean
Modified: 2016-12-20 09:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:49:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean 2015-09-29 18:00:32 EDT
Description of problem: If you try to directly make a copy of a directory, nautilus crashes.


Version-Release number of selected component (if applicable): Fedora 23 Beta


How reproducible: 100%


Steps to Reproduce:
1. Click on a folder
2. Push CTRL-C
3. Push CTRL-V

Actual results: nautilus crashes.


Expected results: new folder made with "copy of" prefixed.


Additional info: works for other files and links and such.
Comment 1 Sean 2015-09-29 18:03:14 EDT
Installed version of nautilus: 3.18.0-1.fc23 x86_64
Comment 2 Chris 2016-10-20 10:23:23 EDT
Can confirm this issue occurs in Red Hat 7.x (3.14.3-7) as well but not as frequently. Instigated with the pasting of the file (via Ctrl-V or right-clicking the mouse and choosing paste). The file transfer always appears to complete successfully before the crash (at least in my case).

Simply opening a new console window and typing "nohup nautilus --force-desktop &>/dev/null &" (as your own username - not root) gets you back up and going.
Comment 3 Fedora End Of Life 2016-11-24 07:39:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 09:49:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.